## org.apache.lucene.analysis
Class SimpleAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.SimpleAnalyzer

All Implemented Interfaces:
  Closeable

    public final class SimpleAnalyzer

extends ReusableAnalyzerBase

An `Analyzer` that filters `LetterTokenizer` with `LowerCaseFilter`

You must specify the required `Version` compatibility when creating `CharTokenizer`:

- As of 3.1, `LowerCaseTokenizer` uses an int based API to normalize and detect token codepoints. See `CharTokenizer.isTokenChar(int)` and `CharTokenizer.normalize(int)` for details.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`ReusableAnalyzerBase.TokenStreamComponents`

Constructor Summary
`SimpleAnalyzer()` Deprecated. use `SimpleAnalyzer(Version)` instead
`SimpleAnalyzer(Version matchVersion)` Creates a new `SimpleAnalyzer`

Method Summary
`protected ReusableAnalyzerBase.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates a new `ReusableAnalyzerBase.TokenStreamComponents` instance for this analyzer.

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleAnalyzer

    public SimpleAnalyzer(Version matchVersion)

  Creates a new `SimpleAnalyzer`

  Parameters:
    `matchVersion` - Lucene version to match See above

### SimpleAnalyzer

    @Deprecated
    public SimpleAnalyzer()

  Deprecated. use `SimpleAnalyzer(Version)` instead

  Creates a new `SimpleAnalyzer`

Method Detail

### createComponents

    protected ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                          Reader reader)

  Description copied from class: `ReusableAnalyzerBase`
  Creates a new `ReusableAnalyzerBase.TokenStreamComponents` instance for this analyzer.

  Specified by:
    `createComponents` in class `ReusableAnalyzerBase`
  Parameters:
    `fieldName` - the name of the fields content passed to the `ReusableAnalyzerBase.TokenStreamComponents` sink as a reader
    `reader` - the reader passed to the `Tokenizer` constructor
  Returns:
    the `ReusableAnalyzerBase.TokenStreamComponents` for this analyzer.